MAP-MBONE(8)

NAME
map-mbone - Multicast connection mapper

SYNOPSIS
map-mbone [-fgn] [-d level] [-r count] [-t seconds] [starting_router]

DESCRIPTION
map-mbone attempts to display all multicast routers that are reachable from the multicast router starting_router. If not specified on the command line, starting_router is “localhost”. map-mbone must be run as root.

map-mbone sends an ASK_NEIGHBORS IGMP message to starting_router. A response contains the multicast version number of starting_router and the addresses of all its neighboring multicast routers. If the multicast version number is recent, then map-mbone requests additional information such as metrics, thresholds, and flags.

If a recursive search has been requested (see -f), map-mbone repeats the above operation for each new multicast router in the list of neighbors and continues the process until no new multicast routers are reported.

The options are as follows:

-d level
    Sets the debug level to level. When the debug level is greater than 0, additional debugging messages are printed to stderr. Regardless of the debug level, an error condition will always write an error message and will cause map-mbone to terminate. Non-zero debug levels are:

    1.  Print packet warnings, plus level 0 messages.

    2.  Print notifications of down networks, plus level 1 messages.

    3.  Print notifications of all packet timeouts, plus level 2 messages.

    Default is 0.

-f  Causes a recursive (flooding) search. If no starting_router is specified, a recursive search is always performed.

-g  Sets graphing format to GraphEd format.

-n  Disables DNS lookup for the names of the multicast routers.

-r count
    Sets the neighbor query retry limit to count. Default is 1.

-t seconds
    Sets the number of seconds to wait for a neighbor query reply before retrying to seconds. Default is 2.

SEE ALSO
mrinfo(8), mrouted(8), mtrace(8)

AUTHORS
Pavel Curtis